<template>
    <div class="m-3 row justify-content-center">
        <router-link to="/1" class="card bg-dark text-white col-3 m-1 p-4 text-center">
            <h1>{{this.getHeroNameByIndex(0)}}</h1>
        </router-link>
        <router-link to="/2" class="card bg-dark text-white col-3 m-1 p-4 text-center">
            <h1>{{this.getHeroNameByIndex(1)}}</h1>
        </router-link>
        <router-link to="/3" class="card bg-dark text-white col-3 m-1 p-4 text-center">
            <h1>{{this.getHeroNameByIndex(2)}}</h1>
        </router-link>
    </div>
</template>

<script>
    import heroDataService from './HeroDataService.js'

    export default {
        methods: {
            getHeroNameByIndex(index) {
                let hero = heroDataService.getHeroByIndex(index);
                return hero.name
            }
        }
    }
</script>